Friend NotInheritable Class ClsDictExtension
    Inherits ClsBaseDict(Of String)

    ''' <summary>
    ''' Constructeur de la classe
    ''' </summary>
    ''' <param name="pCtrl">Type de controles  effectuer</param>
    ''' <remarks></remarks>
    Friend Sub New(ByVal pCtrl As EFileCtrl)
        MyBase.New(pCtrl And Not (EFileCtrl.Extension))
    End Sub
    ''' <summary>
    ''' Calcule la cl
    ''' </summary>
    ''' <param name="pFile">Fichier</param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Protected Overrides Function CalcKey(ByVal pFile As System.IO.FileInfo) As String
        Return pFile.Extension.ToLower()
    End Function
End Class
