Public Class FrmLstFile

    Public Overloads Function ShowDialog(ByVal pForm As Form, ByVal pFiles As List(Of String), Optional ByVal pDescription As String = "Liste des fichiers slectionn") As DialogResult

        LstFile.Items.Clear()

        For Each lStr As String In pFiles
            LstFile.Items.Add(lStr)
        Next

        CmdSelAll_Click(Nothing, Nothing)

        LblDescription.Text = pDescription

        If MyBase.ShowDialog(pForm) = Windows.Forms.DialogResult.OK Then
            pFiles.Clear()
            For Each lStr As String In LstFile.CheckedItems
                pFiles.Add(lStr)
            Next
            Return Windows.Forms.DialogResult.OK
        Else
            Return Windows.Forms.DialogResult.Cancel
        End If
    End Function

    Private Sub CmdCancel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles CmdCancel.Click
        Me.DialogResult = Windows.Forms.DialogResult.Cancel
        Me.Hide()
    End Sub

    Private Sub CmdOK_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles CmdOK.Click
        Me.DialogResult = Windows.Forms.DialogResult.OK
        Me.Hide()
    End Sub

    Private Sub CmdSelAll_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles CmdSelAll.Click
        For i As Integer = 0 To LstFile.Items.Count - 1
            LstFile.SetItemChecked(i, True)
        Next
    End Sub

    Private Sub CmdSelInv_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles CmdSelInv.Click
        For i As Integer = 0 To LstFile.Items.Count - 1
            LstFile.SetItemChecked(i, Not (LstFile.GetItemChecked(i)))
        Next
    End Sub

    Private Sub CmdSelNone_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles CmdSelNone.Click
        For i As Integer = 0 To LstFile.Items.Count - 1
            LstFile.SetItemChecked(i, False)
        Next
    End Sub
End Class